apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-itop-conf
spec:
  storageClassName: ""
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  mountOptions:
    - hard
    - nfsvers=4.1
  nfs:
    server: 192.168.2.110
    path: /mnt/nfs_share/itop/conf
    readOnly: false
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: itop-conf-pvc
  namespace: itop
spec:
  storageClassName: ""
  volumeName: pv-itop-conf
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-itop-env
spec:
  storageClassName: ""
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.2.110
    path: /mnt/nfs_share/itop/env-production
    readOnly: false
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: itop-env-pvc
  namespace: itop
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
  storageClassName: ""
  volumeName: pv-itop-env
  volumeMode: Filesystem
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-itop-data
spec:
  storageClassName: ""
  capacity:
    storage: 5Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.2.110
    path: /mnt/nfs_share/itop/data
    readOnly: false
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: itop-data-pvc
  namespace: itop
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 5Gi
  storageClassName: ""
  volumeName: pv-itop-data
  volumeMode: Filesystem
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-itop-log
spec:
  storageClassName: ""
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.2.110
    path: /mnt/nfs_share/itop/log
    readOnly: false
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: itop-log-pvc
  namespace: itop
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
  storageClassName: ""
  volumeName: pv-itop-log
  volumeMode: Filesystem
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-itop-extensions
spec:
  storageClassName: ""
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.2.110
    path: /mnt/nfs_share/itop/extensions
    readOnly: false
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: itop-extensions-pvc
  namespace: itop
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
  storageClassName: ""
  volumeName: pv-itop-extensions
  volumeMode: Filesystem
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pv-itop-apache2-logs
spec:
  storageClassName: ""
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.2.110
    path: /mnt/nfs_share/itop/apache2-logs
    readOnly: false
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: itop-apache2-logs-pvc
  namespace: itop
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
  storageClassName: ""
  volumeName: pv-itop-apache2-logs
  volumeMode: Filesystem
